Subject: Re: Fw: [Bugme-new] [Bug 6495] New: Vlan MTU Fragmentation

From: Ben Greear <[email-masked]>
Date: Sat, 06 May 2006 10:20:01 -0700

Andrew Morton wrote:

> I guess I can type simple commands and add printks.  Do you have time to
> take a look at the driver and suggest what I should be looking for?

I can only offer vague hints:

TX usually works, but RX often has isues.  There is usually a bit
or two that needs setting to enable the larger than MTU pkt RX.

It seems some older chipsets had issues with doing checksum offload
for VLAN packets, so could try disabling the UDP/TCP checksum logic
and see if that helps.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com